> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Custom-provider marketplace app update capabilities

> Toggle capabilities for the marketplace app tied to the OAuth client



## OpenAPI

````yaml /api-reference/payments/openapi.json put /payments/custom-provider/capabilities
openapi: 3.0.0
info:
  title: Payments API
  description: Documentation for payments API
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: Payments
    description: Documentation for payments API
  - name: Integrations
    description: Documentation for payments API
  - name: Orders
    description: Documentation for payments API
  - name: Order fulfillments
    description: Documentation for payments API
  - name: Order Notes
    description: Documentation for payments API
  - name: Transactions
    description: Documentation for payments API
  - name: Subscriptions
    description: Documentation for payments API
  - name: Coupons
    description: Documentation for payments API
  - name: Custom Provider
    description: Documentation for payments API
paths:
  /payments/custom-provider/capabilities:
    put:
      tags:
        - Custom Provider
      summary: Custom-provider marketplace app update capabilities
      description: Toggle capabilities for the marketplace app tied to the OAuth client
      operationId: custom-provider-marketplace-app-update-capabilities
      parameters:
        - name: Version
          in: header
          description: API Version
          required: true
          schema:
            type: string
            enum:
              - '2021-07-28'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateCustomProviderCapabilitiesDto'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/UpdateCustomProviderCapabilitiesResponseSchema
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestDTO'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedDTO'
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnprocessableDTO'
      security:
        - Location-Access:
            - payments/custom-provider.write
components:
  schemas:
    UpdateCustomProviderCapabilitiesDto:
      type: object
      properties:
        supportsSubscriptionSchedules:
          type: boolean
          description: Whether the marketplace app supports subscription schedules or not
          example: true
        companyId:
          type: string
          description: Company id. Mandatory if locationId is not provided
          example: Yjnwuduw83e8x30sm0
        locationId:
          type: string
          description: Location / Sub-account id. Mandatory if companyId is not provided
          example: Yjnwuduw83e8x30sm0
      required:
        - supportsSubscriptionSchedules
    UpdateCustomProviderCapabilitiesResponseSchema:
      type: object
      properties:
        success:
          type: boolean
          description: >-
            Whether the custom provider capabilities are updated or not. true
            represents capabilities are updated
          example: 'true'
      required:
        - success
    BadRequestDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 400
        message:
          type: string
          example: Bad Request
      required:
        - statusCode
        - message
    UnauthorizedDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 401
        message:
          type: string
          example: 'Invalid token: access token is invalid'
        error:
          type: string
          example: Unauthorized
      required:
        - statusCode
        - message
        - error
    UnprocessableDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 422
        message:
          type: array
          items:
            type: string
          example:
            - Unprocessable Entity
        error:
          type: string
          example: Unprocessable Entity
      required:
        - statusCode
        - message
        - error

````